require 'rails/generators/active_record'

class BadgifyGenerator < ActiveRecord::Generators::Base
  desc "Generates the necessary migrations"

  def self.source_root
    @source_root ||= File.expand_path('../templates', __FILE__)
  end 

  def generate_migration 
    #migration_template "migrations/create_badges_table.rb", "db/migrate/create_badges_table.rb"
  end 

  def copy_initializer_file
    copy_file "badgify_config.yml", "config/badgify_config.yml"
  end
end
